Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.job
Interface CheckParamResult

All Superinterfaces:
  JobResult

    public interface CheckParamResult

extends JobResult

Interface for reporting the results of a parameter check from a `Job` implementation.

See Also:
  `Job.checkConfig(com.novell.nds.dirxml.job.JobManager,java.util.Locale)`

Field Summary

Fields inherited from interface com.novell.nds.dirxml.job.JobResult
`ABORTED, ERROR, SUCCESS, WARNING`

Method Summary
`String` | `getParamName()` Return the name of the parameter that has a value problem.
`String` | `getParamValue()` Get the value of the parameter that has a value problem.
`void` | `setParamName(String paramName)` Set the name of the parameter that has a value problem.
`void` | `setParamValue(String value)` Set the value (if any) of the parameter that has a value problem.

Methods inherited from interface com.novell.nds.dirxml.job.JobResult
`getCode, getLevel, getMessage, getObject, setCode, setLevel, setMessage, setObject`

Method Detail

### getParamName

    String getParamName()

  Return the name of the parameter that has a value problem. The name must be the actual name of the parameter, not the display name. The user interface reporting the result will handle displaying the parameter's localized display name if it is available.

  The message reporting the problem should not refer to the parameter by name. The user interface will report the localized parameter display name in context with the problem message.

  Returns:
    parameter name

### setParamName

    void setParamName(String paramName)

  Set the name of the parameter that has a value problem. The name must be the actual name of the parameter, not the display name. The user interface reporting the result will handle displaying the parameter's localized display name if it is available.

  The message reporting the problem should not refer to the parameter by name. The user interface will report the localized parameter display name in context with the problem message.

  Parameters:
    `paramName` - name of parameter

### getParamValue

    String getParamValue()

  Get the value of the parameter that has a value problem.

  Returns:
    parameter value, if any

### setParamValue

    void setParamValue(String value)

  Set the value (if any) of the parameter that has a value problem.

  Parameters:
    `value` - parameter value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD